# -*- encoding: utf-8 -*-
# stub: chunky_png 1.4.0 ruby lib

Gem::Specification.new do |s|
  s.name = "chunky_png".freeze
  s.version = "1.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "source_code_uri" => "https://github.com/wvanbergen/chunky_png", "wiki_uri" => "https://github.com/wvanbergen/chunky_png/wiki" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Willem van Bergen".freeze]
  s.date = "2020-12-28"
  s.description = "    This pure Ruby library can read and write PNG images without depending on an external\n    image library, like RMagick. It tries to be memory efficient and reasonably fast.\n\n    It supports reading and writing all PNG variants that are defined in the specification,\n    with one limitation: only 8-bit color depth is supported. It supports all transparency,\n    interlacing and filtering options the PNG specifications allows. It can also read and\n    write textual metadata from PNG files. Low-level read/write access to PNG chunks is\n    also possible.\n\n    This library supports simple drawing on the image canvas and simple operations like\n    alpha composition and cropping. Finally, it can import from and export to RMagick for\n    interoperability.\n\n    Also, have a look at OilyPNG at https://github.com/wvanbergen/oily_png. OilyPNG is a\n    drop in mixin module that implements some of the ChunkyPNG algorithms in C, which\n    provides a massive speed boost to encoding and decoding.\n".freeze
  s.email = ["willem@railsdoctors.com".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "BENCHMARKING.rdoc".freeze, "CONTRIBUTING.rdoc".freeze, "CHANGELOG.rdoc".freeze]
  s.files = [".github/workflows/ruby.yml".freeze, ".gitignore".freeze, ".standard.yml".freeze, ".yardopts".freeze, "BENCHMARKING.rdoc".freeze, "CHANGELOG.rdoc".freeze, "CONTRIBUTING.rdoc".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "benchmarks/decoding_benchmark.rb".freeze, "benchmarks/encoding_benchmark.rb".freeze, "benchmarks/filesize_benchmark.rb".freeze, "bin/rake".freeze, "bin/standardrb".freeze, "chunky_png.gemspec".freeze, "docs/.gitignore".freeze, "docs/CNAME".freeze, "docs/_config.yml".freeze, "docs/_posts/2010-01-14-memory-efficiency-when-using-ruby.md".freeze, "docs/_posts/2010-01-17-ode-to-array-pack-and-string-unpack.md".freeze, "docs/_posts/2014-11-07-the-value-of-a-pure-ruby-library.md".freeze, "docs/index.md".freeze, "lib/chunky_png.rb".freeze, "lib/chunky_png/canvas.rb".freeze, "lib/chunky_png/canvas/adam7_interlacing.rb".freeze, "lib/chunky_png/canvas/data_url_exporting.rb".freeze, "lib/chunky_png/canvas/data_url_importing.rb".freeze, "lib/chunky_png/canvas/drawing.rb".freeze, "lib/chunky_png/canvas/masking.rb".freeze, "lib/chunky_png/canvas/operations.rb".freeze, "lib/chunky_png/canvas/png_decoding.rb".freeze, "lib/chunky_png/canvas/png_encoding.rb".freeze, "lib/chunky_png/canvas/resampling.rb".freeze, "lib/chunky_png/canvas/stream_exporting.rb".freeze, "lib/chunky_png/canvas/stream_importing.rb".freeze, "lib/chunky_png/chunk.rb".freeze, "lib/chunky_png/color.rb".freeze, "lib/chunky_png/datastream.rb".freeze, "lib/chunky_png/dimension.rb".freeze, "lib/chunky_png/image.rb".freeze, "lib/chunky_png/palette.rb".freeze, "lib/chunky_png/point.rb".freeze, "lib/chunky_png/rmagick.rb".freeze, "lib/chunky_png/vector.rb".freeze, "lib/chunky_png/version.rb".freeze, "spec/chunky_png/canvas/adam7_interlacing_spec.rb".freeze, "spec/chunky_png/canvas/data_url_exporting_spec.rb".freeze, "spec/chunky_png/canvas/data_url_importing_spec.rb".freeze, "spec/chunky_png/canvas/drawing_spec.rb".freeze, "spec/chunky_png/canvas/masking_spec.rb".freeze, "spec/chunky_png/canvas/operations_spec.rb".freeze, "spec/chunky_png/canvas/png_decoding_spec.rb".freeze, "spec/chunky_png/canvas/png_encoding_spec.rb".freeze, "spec/chunky_png/canvas/resampling_spec.rb".freeze, "spec/chunky_png/canvas/stream_exporting_spec.rb".freeze, "spec/chunky_png/canvas/stream_importing_spec.rb".freeze, "spec/chunky_png/canvas_spec.rb".freeze, "spec/chunky_png/color_spec.rb".freeze, "spec/chunky_png/datastream_spec.rb".freeze, "spec/chunky_png/dimension_spec.rb".freeze, "spec/chunky_png/image_spec.rb".freeze, "spec/chunky_png/point_spec.rb".freeze, "spec/chunky_png/rmagick_spec.rb".freeze, "spec/chunky_png/vector_spec.rb".freeze, "spec/chunky_png_spec.rb".freeze, "spec/png_suite/background_chunks/bgai4a08.png".freeze, "spec/png_suite/background_chunks/bgai4a16.png".freeze, "spec/png_suite/background_chunks/bgan6a08.png".freeze, "spec/png_suite/background_chunks/bgan6a16.png".freeze, "spec/png_suite/background_chunks/bgbn4a08.png".freeze, "spec/png_suite/background_chunks/bggn4a16.png".freeze, "spec/png_suite/background_chunks/bgwn6a08.png".freeze, "spec/png_suite/background_chunks/bgyn6a16.png".freeze, "spec/png_suite/basic/basi0g01.png".freeze, "spec/png_suite/basic/basi0g01.rgba".freeze, "spec/png_suite/basic/basi0g02.png".freeze, "spec/png_suite/basic/basi0g02.rgba".freeze, "spec/png_suite/basic/basi0g04.png".freeze, "spec/png_suite/basic/basi0g04.rgba".freeze, "spec/png_suite/basic/basi0g08.png".freeze, "spec/png_suite/basic/basi0g08.rgba".freeze, "spec/png_suite/basic/basi0g16.png".freeze, "spec/png_suite/basic/basi0g16.rgba".freeze, "spec/png_suite/basic/basi2c08.png".freeze, "spec/png_suite/basic/basi2c08.rgba".freeze, "spec/png_suite/basic/basi2c16.png".freeze, "spec/png_suite/basic/basi2c16.rgba".freeze, "spec/png_suite/basic/basi3p01.png".freeze, "spec/png_suite/basic/basi3p01.rgba".freeze, "spec/png_suite/basic/basi3p02.png".freeze, "spec/png_suite/basic/basi3p02.rgba".freeze, "spec/png_suite/basic/basi3p04.png".freeze, "spec/png_suite/basic/basi3p04.rgba".freeze, "spec/png_suite/basic/basi3p08.png".freeze, "spec/png_suite/basic/basi3p08.rgba".freeze, "spec/png_suite/basic/basi4a08.png".freeze, "spec/png_suite/basic/basi4a08.rgba".freeze, "spec/png_suite/basic/basi4a16.png".freeze, "spec/png_suite/basic/basi4a16.rgba".freeze, "spec/png_suite/basic/basi6a08.png".freeze, "spec/png_suite/basic/basi6a08.rgba".freeze, "spec/png_suite/basic/basi6a16.png".freeze, "spec/png_suite/basic/basi6a16.rgba".freeze, "spec/png_suite/basic/basn0g01.png".freeze, "spec/png_suite/basic/basn0g01.rgba".freeze, "spec/png_suite/basic/basn0g02.png".freeze, "spec/png_suite/basic/basn0g02.rgba".freeze, "spec/png_suite/basic/basn0g04.png".freeze, "spec/png_suite/basic/basn0g04.rgba".freeze, "spec/png_suite/basic/basn0g08.png".freeze, "spec/png_suite/basic/basn0g08.rgba".freeze, "spec/png_suite/basic/basn0g16.png".freeze, "spec/png_suite/basic/basn0g16.rgba".freeze, "spec/png_suite/basic/basn2c08.png".freeze, "spec/png_suite/basic/basn2c08.rgba".freeze, "spec/png_suite/basic/basn2c16.png".freeze, "spec/png_suite/basic/basn2c16.rgba".freeze, "spec/png_suite/basic/basn3p01.png".freeze, "spec/png_suite/basic/basn3p01.rgba".freeze, "spec/png_suite/basic/basn3p02.png".freeze, "spec/png_suite/basic/basn3p02.rgba".freeze, "spec/png_suite/basic/basn3p04.png".freeze, "spec/png_suite/basic/basn3p04.rgba".freeze, "spec/png_suite/basic/basn3p08.png".freeze, "spec/png_suite/basic/basn3p08.rgba".freeze, "spec/png_suite/basic/basn4a08.png".freeze, "spec/png_suite/basic/basn4a08.rgba".freeze, "spec/png_suite/basic/basn4a16.png".freeze, "spec/png_suite/basic/basn4a16.rgba".freeze, "spec/png_suite/basic/basn6a08.png".freeze, "spec/png_suite/basic/basn6a08.rgba".freeze, "spec/png_suite/basic/basn6a16.png".freeze, "spec/png_suite/basic/basn6a16.rgba".freeze, "spec/png_suite/broken/x00n0g01.png".freeze, "spec/png_suite/broken/xcrn0g04.png".freeze, "spec/png_suite/broken/xlfn0g04.png".freeze, "spec/png_suite/chunk_ordering/oi1n0g16.png".freeze, "spec/png_suite/chunk_ordering/oi1n2c16.png".freeze, "spec/png_suite/chunk_ordering/oi2n0g16.png".freeze, "spec/png_suite/chunk_ordering/oi2n2c16.png".freeze, "spec/png_suite/chunk_ordering/oi4n0g16.png".freeze, "spec/png_suite/chunk_ordering/oi4n2c16.png".freeze, "spec/png_suite/chunk_ordering/oi9n0g16.png".freeze, "spec/png_suite/chunk_ordering/oi9n2c16.png".freeze, "spec/png_suite/compression_levels/z00n2c08.png".freeze, "spec/png_suite/compression_levels/z03n2c08.png".freeze, "spec/png_suite/compression_levels/z06n2c08.png".freeze, "spec/png_suite/compression_levels/z09n2c08.png".freeze, "spec/png_suite/filtering/f00n0g08.png".freeze, "spec/png_suite/filtering/f00n0g08.rgba".freeze, "spec/png_suite/filtering/f00n0g08_reference.png".freeze, "spec/png_suite/filtering/f00n0g08_reference.rgba".freeze, "spec/png_suite/filtering/f00n2c08.png".freeze, "spec/png_suite/filtering/f00n2c08.rgba".freeze, "spec/png_suite/filtering/f00n2c08_reference.png".freeze, "spec/png_suite/filtering/f00n2c08_reference.rgba".freeze, "spec/png_suite/filtering/f01n0g08.png".freeze, "spec/png_suite/filtering/f01n0g08.rgba".freeze, "spec/png_suite/filtering/f01n0g08_reference.png".freeze, "spec/png_suite/filtering/f01n0g08_reference.rgba".freeze, "spec/png_suite/filtering/f01n2c08.png".freeze, "spec/png_suite/filtering/f01n2c08.rgba".freeze, "spec/png_suite/filtering/f01n2c08_reference.png".freeze, "spec/png_suite/filtering/f01n2c08_reference.rgba".freeze, "spec/png_suite/filtering/f02n0g08.png".freeze, "spec/png_suite/filtering/f02n0g08.rgba".freeze, "spec/png_suite/filtering/f02n0g08_reference.png".freeze, "spec/png_suite/filtering/f02n0g08_reference.rgba".freeze, "spec/png_suite/filtering/f02n2c08.png".freeze, "spec/png_suite/filtering/f02n2c08.rgba".freeze, "spec/png_suite/filtering/f02n2c08_reference.png".freeze, "spec/png_suite/filtering/f02n2c08_reference.rgba".freeze, "spec/png_suite/filtering/f03n0g08.png".freeze, "spec/png_suite/filtering/f03n0g08.rgba".freeze, "spec/png_suite/filtering/f03n0g08_reference.png".freeze, "spec/png_suite/filtering/f03n0g08_reference.rgba".freeze, "spec/png_suite/filtering/f03n2c08.png".freeze, "spec/png_suite/filtering/f03n2c08.rgba".freeze, "spec/png_suite/filtering/f03n2c08_reference.png".freeze, "spec/png_suite/filtering/f03n2c08_reference.rgba".freeze, "spec/png_suite/filtering/f04n0g08.png".freeze, "spec/png_suite/filtering/f04n0g08.rgba".freeze, "spec/png_suite/filtering/f04n0g08_reference.png".freeze, "spec/png_suite/filtering/f04n0g08_reference.rgba".freeze, "spec/png_suite/filtering/f04n2c08.png".freeze, "spec/png_suite/filtering/f04n2c08.rgba".freeze, "spec/png_suite/filtering/f04n2c08_reference.png".freeze, "spec/png_suite/filtering/f04n2c08_reference.rgba".freeze, "spec/png_suite/gamma/g03n0g16.png".freeze, "spec/png_suite/gamma/g03n2c08.png".freeze, "spec/png_suite/gamma/g03n3p04.png".freeze, "spec/png_suite/gamma/g04n0g16.png".freeze, "spec/png_suite/gamma/g04n2c08.png".freeze, "spec/png_suite/gamma/g04n3p04.png".freeze, "spec/png_suite/gamma/g05n0g16.png".freeze, "spec/png_suite/gamma/g05n2c08.png".freeze, "spec/png_suite/gamma/g05n3p04.png".freeze, "spec/png_suite/gamma/g07n0g16.png".freeze, "spec/png_suite/gamma/g07n2c08.png".freeze, "spec/png_suite/gamma/g07n3p04.png".freeze, "spec/png_suite/gamma/g10n0g16.png".freeze, "spec/png_suite/gamma/g10n2c08.png".freeze, "spec/png_suite/gamma/g10n3p04.png".freeze, "spec/png_suite/gamma/g25n0g16.png".freeze, "spec/png_suite/gamma/g25n2c08.png".freeze, "spec/png_suite/gamma/g25n3p04.png".freeze, "spec/png_suite/metadata/cm0n0g04.png".freeze, "spec/png_suite/metadata/cm7n0g04.png".freeze, "spec/png_suite/metadata/cm9n0g04.png".freeze, "spec/png_suite/other/ccwn2c08.png".freeze, "spec/png_suite/other/ccwn3p08.png".freeze, "spec/png_suite/other/cdfn2c08.png".freeze, "spec/png_suite/other/cdhn2c08.png".freeze, "spec/png_suite/other/cdsn2c08.png".freeze, "spec/png_suite/other/cdun2c08.png".freeze, "spec/png_suite/other/ch1n3p04.png".freeze, "spec/png_suite/other/ch2n3p08.png".freeze, "spec/png_suite/other/cs3n2c16.png".freeze, "spec/png_suite/other/cs3n3p08.png".freeze, "spec/png_suite/other/cs5n2c08.png".freeze, "spec/png_suite/other/cs5n3p08.png".freeze, "spec/png_suite/other/cs8n2c08.png".freeze, "spec/png_suite/other/cs8n3p08.png".freeze, "spec/png_suite/other/ct0n0g04.png".freeze, "spec/png_suite/other/ct1n0g04.png".freeze, "spec/png_suite/other/ctzn0g04.png".freeze, "spec/png_suite/other/pp0n2c16.png".freeze, "spec/png_suite/other/pp0n6a08.png".freeze, "spec/png_suite/other/ps1n0g08.png".freeze, "spec/png_suite/other/ps1n2c16.png".freeze, "spec/png_suite/other/ps2n0g08.png".freeze, "spec/png_suite/other/ps2n2c16.png".freeze, "spec/png_suite/sizes/s01i3p01.png".freeze, "spec/png_suite/sizes/s01n3p01.png".freeze, "spec/png_suite/sizes/s02i3p01.png".freeze, "spec/png_suite/sizes/s02n3p01.png".freeze, "spec/png_suite/sizes/s03i3p01.png".freeze, "spec/png_suite/sizes/s03n3p01.png".freeze, "spec/png_suite/sizes/s04i3p01.png".freeze, "spec/png_suite/sizes/s04n3p01.png".freeze, "spec/png_suite/sizes/s05i3p02.png".freeze, "spec/png_suite/sizes/s05n3p02.png".freeze, "spec/png_suite/sizes/s06i3p02.png".freeze, "spec/png_suite/sizes/s06n3p02.png".freeze, "spec/png_suite/sizes/s07i3p02.png".freeze, "spec/png_suite/sizes/s07n3p02.png".freeze, "spec/png_suite/sizes/s08i3p02.png".freeze, "spec/png_suite/sizes/s08n3p02.png".freeze, "spec/png_suite/sizes/s09i3p02.png".freeze, "spec/png_suite/sizes/s09n3p02.png".freeze, "spec/png_suite/sizes/s32i3p04.png".freeze, "spec/png_suite/sizes/s32n3p04.png".freeze, "spec/png_suite/sizes/s33i3p04.png".freeze, "spec/png_suite/sizes/s33n3p04.png".freeze, "spec/png_suite/sizes/s34i3p04.png".freeze, "spec/png_suite/sizes/s34n3p04.png".freeze, "spec/png_suite/sizes/s35i3p04.png".freeze, "spec/png_suite/sizes/s35n3p04.png".freeze, "spec/png_suite/sizes/s36i3p04.png".freeze, "spec/png_suite/sizes/s36n3p04.png".freeze, "spec/png_suite/sizes/s37i3p04.png".freeze, "spec/png_suite/sizes/s37n3p04.png".freeze, "spec/png_suite/sizes/s38i3p04.png".freeze, "spec/png_suite/sizes/s38n3p04.png".freeze, "spec/png_suite/sizes/s39i3p04.png".freeze, "spec/png_suite/sizes/s39n3p04.png".freeze, "spec/png_suite/sizes/s40i3p04.png".freeze, "spec/png_suite/sizes/s40n3p04.png".freeze, "spec/png_suite/transparency/tbbn1g04.png".freeze, "spec/png_suite/transparency/tbbn2c16.png".freeze, "spec/png_suite/transparency/tbbn3p08.png".freeze, "spec/png_suite/transparency/tbgn2c16.png".freeze, "spec/png_suite/transparency/tbgn3p08.png".freeze, "spec/png_suite/transparency/tbrn2c08.png".freeze, "spec/png_suite/transparency/tbwn1g16.png".freeze, "spec/png_suite/transparency/tbwn3p08.png".freeze, "spec/png_suite/transparency/tbyn3p08.png".freeze, "spec/png_suite/transparency/tp0n1g08.png".freeze, "spec/png_suite/transparency/tp0n2c08.png".freeze, "spec/png_suite/transparency/tp0n3p08.png".freeze, "spec/png_suite/transparency/tp1n3p08.png".freeze, "spec/png_suite_spec.rb".freeze, "spec/resources/adam7.png".freeze, "spec/resources/bezier_five_point.png".freeze, "spec/resources/bezier_four_point.png".freeze, "spec/resources/bezier_four_point_flipped.png".freeze, "spec/resources/bezier_four_point_s.png".freeze, "spec/resources/bezier_six_point.png".freeze, "spec/resources/bezier_three_point.png".freeze, "spec/resources/bezier_three_point_flipped.png".freeze, "spec/resources/circles.png".freeze, "spec/resources/clock.png".freeze, "spec/resources/clock_base.png".freeze, "spec/resources/clock_bl_xdown_ydown.png".freeze, "spec/resources/clock_bl_xdown_yup.png".freeze, "spec/resources/clock_bl_xup_yup.png".freeze, "spec/resources/clock_mask.png".freeze, "spec/resources/clock_mask_updated.png".freeze, "spec/resources/clock_nn_xdown_ydown.png".freeze, "spec/resources/clock_nn_xdown_yup.png".freeze, "spec/resources/clock_nn_xup_yup.png".freeze, "spec/resources/clock_updated.png".freeze, "spec/resources/composited.png".freeze, "spec/resources/cropped.png".freeze, "spec/resources/cropped_height.png".freeze, "spec/resources/damaged_chunk.png".freeze, "spec/resources/damaged_signature.png".freeze, "spec/resources/empty.png".freeze, "spec/resources/itxt_chunk.png".freeze, "spec/resources/lines.png".freeze, "spec/resources/operations.png".freeze, "spec/resources/operations_border.png".freeze, "spec/resources/operations_grayscale.png".freeze, "spec/resources/partial_circles.png".freeze, "spec/resources/pixelstream.bgr".freeze, "spec/resources/pixelstream.rgb".freeze, "spec/resources/pixelstream.rgba".freeze, "spec/resources/pixelstream_best_compression.png".freeze, "spec/resources/pixelstream_fast_rgba.png".freeze, "spec/resources/pixelstream_reference.png".freeze, "spec/resources/polygon_filled_horizontal.png".freeze, "spec/resources/polygon_filled_vertical.png".freeze, "spec/resources/polygon_triangle_filled.png".freeze, "spec/resources/polygon_unfilled.png".freeze, "spec/resources/rect.png".freeze, "spec/resources/replaced.png".freeze, "spec/resources/text_chunk.png".freeze, "spec/resources/trailing_bytes_after_iend_chunk.png".freeze, "spec/resources/ztxt_chunk.png".freeze, "spec/spec_helper.rb".freeze, "tasks/benchmarks.rake".freeze]
  s.homepage = "https://github.com/wvanbergen/chunky_png/wiki".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--title".freeze, "chunky_png".freeze, "--main".freeze, "README.rdoc".freeze, "--line-numbers".freeze, "--inline-source".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0".freeze)
  s.rubygems_version = "3.3.22".freeze
  s.summary = "Pure ruby library for read/write, chunk-level access to PNG files".freeze
  s.test_files = ["spec/chunky_png/canvas/adam7_interlacing_spec.rb".freeze, "spec/chunky_png/canvas/data_url_exporting_spec.rb".freeze, "spec/chunky_png/canvas/data_url_importing_spec.rb".freeze, "spec/chunky_png/canvas/drawing_spec.rb".freeze, "spec/chunky_png/canvas/masking_spec.rb".freeze, "spec/chunky_png/canvas/operations_spec.rb".freeze, "spec/chunky_png/canvas/png_decoding_spec.rb".freeze, "spec/chunky_png/canvas/png_encoding_spec.rb".freeze, "spec/chunky_png/canvas/resampling_spec.rb".freeze, "spec/chunky_png/canvas/stream_exporting_spec.rb".freeze, "spec/chunky_png/canvas/stream_importing_spec.rb".freeze, "spec/chunky_png/canvas_spec.rb".freeze, "spec/chunky_png/color_spec.rb".freeze, "spec/chunky_png/datastream_spec.rb".freeze, "spec/chunky_png/dimension_spec.rb".freeze, "spec/chunky_png/image_spec.rb".freeze, "spec/chunky_png/point_spec.rb".freeze, "spec/chunky_png/rmagick_spec.rb".freeze, "spec/chunky_png/vector_spec.rb".freeze, "spec/chunky_png_spec.rb".freeze, "spec/png_suite/background_chunks/bgai4a08.png".freeze, "spec/png_suite/background_chunks/bgai4a16.png".freeze, "spec/png_suite/background_chunks/bgan6a08.png".freeze, "spec/png_suite/background_chunks/bgan6a16.png".freeze, "spec/png_suite/background_chunks/bgbn4a08.png".freeze, "spec/png_suite/background_chunks/bggn4a16.png".freeze, "spec/png_suite/background_chunks/bgwn6a08.png".freeze, "spec/png_suite/background_chunks/bgyn6a16.png".freeze, "spec/png_suite/basic/basi0g01.png".freeze, "spec/png_suite/basic/basi0g01.rgba".freeze, "spec/png_suite/basic/basi0g02.png".freeze, "spec/png_suite/basic/basi0g02.rgba".freeze, "spec/png_suite/basic/basi0g04.png".freeze, "spec/png_suite/basic/basi0g04.rgba".freeze, "spec/png_suite/basic/basi0g08.png".freeze, "spec/png_suite/basic/basi0g08.rgba".freeze, "spec/png_suite/basic/basi0g16.png".freeze, "spec/png_suite/basic/basi0g16.rgba".freeze, "spec/png_suite/basic/basi2c08.png".freeze, "spec/png_suite/basic/basi2c08.rgba".freeze, "spec/png_suite/basic/basi2c16.png".freeze, "spec/png_suite/basic/basi2c16.rgba".freeze, "spec/png_suite/basic/basi3p01.png".freeze, "spec/png_suite/basic/basi3p01.rgba".freeze, "spec/png_suite/basic/basi3p02.png".freeze, "spec/png_suite/basic/basi3p02.rgba".freeze, "spec/png_suite/basic/basi3p04.png".freeze, "spec/png_suite/basic/basi3p04.rgba".freeze, "spec/png_suite/basic/basi3p08.png".freeze, "spec/png_suite/basic/basi3p08.rgba".freeze, "spec/png_suite/basic/basi4a08.png".freeze, "spec/png_suite/basic/basi4a08.rgba".freeze, "spec/png_suite/basic/basi4a16.png".freeze, "spec/png_suite/basic/basi4a16.rgba".freeze, "spec/png_suite/basic/basi6a08.png".freeze, "spec/png_suite/basic/basi6a08.rgba".freeze, "spec/png_suite/basic/basi6a16.png".freeze, "spec/png_suite/basic/basi6a16.rgba".freeze, "spec/png_suite/basic/basn0g01.png".freeze, "spec/png_suite/basic/basn0g01.rgba".freeze, "spec/png_suite/basic/basn0g02.png".freeze, "spec/png_suite/basic/basn0g02.rgba".freeze, "spec/png_suite/basic/basn0g04.png".freeze, "spec/png_suite/basic/basn0g04.rgba".freeze, "spec/png_suite/basic/basn0g08.png".freeze, "spec/png_suite/basic/basn0g08.rgba".freeze, "spec/png_suite/basic/basn0g16.png".freeze, "spec/png_suite/basic/basn0g16.rgba".freeze, "spec/png_suite/basic/basn2c08.png".freeze, "spec/png_suite/basic/basn2c08.rgba".freeze, "spec/png_suite/basic/basn2c16.png".freeze, "spec/png_suite/basic/basn2c16.rgba".freeze, "spec/png_suite/basic/basn3p01.png".freeze, "spec/png_suite/basic/basn3p01.rgba".freeze, "spec/png_suite/basic/basn3p02.png".freeze, "spec/png_suite/basic/basn3p02.rgba".freeze, "spec/png_suite/basic/basn3p04.png".freeze, "spec/png_suite/basic/basn3p04.rgba".freeze, "spec/png_suite/basic/basn3p08.png".freeze, "spec/png_suite/basic/basn3p08.rgba".freeze, "spec/png_suite/basic/basn4a08.png".freeze, "spec/png_suite/basic/basn4a08.rgba".freeze, "spec/png_suite/basic/basn4a16.png".freeze, "spec/png_suite/basic/basn4a16.rgba".freeze, "spec/png_suite/basic/basn6a08.png".freeze, "spec/png_suite/basic/basn6a08.rgba".freeze, "spec/png_suite/basic/basn6a16.png".freeze, "spec/png_suite/basic/basn6a16.rgba".freeze, "spec/png_suite/broken/x00n0g01.png".freeze, "spec/png_suite/broken/xcrn0g04.png".freeze, "spec/png_suite/broken/xlfn0g04.png".freeze, "spec/png_suite/chunk_ordering/oi1n0g16.png".freeze, "spec/png_suite/chunk_ordering/oi1n2c16.png".freeze, "spec/png_suite/chunk_ordering/oi2n0g16.png".freeze, "spec/png_suite/chunk_ordering/oi2n2c16.png".freeze, "spec/png_suite/chunk_ordering/oi4n0g16.png".freeze, "spec/png_suite/chunk_ordering/oi4n2c16.png".freeze, "spec/png_suite/chunk_ordering/oi9n0g16.png".freeze, "spec/png_suite/chunk_ordering/oi9n2c16.png".freeze, "spec/png_suite/compression_levels/z00n2c08.png".freeze, "spec/png_suite/compression_levels/z03n2c08.png".freeze, "spec/png_suite/compression_levels/z06n2c08.png".freeze, "spec/png_suite/compression_levels/z09n2c08.png".freeze, "spec/png_suite/filtering/f00n0g08.png".freeze, "spec/png_suite/filtering/f00n0g08.rgba".freeze, "spec/png_suite/filtering/f00n0g08_reference.png".freeze, "spec/png_suite/filtering/f00n0g08_reference.rgba".freeze, "spec/png_suite/filtering/f00n2c08.png".freeze, "spec/png_suite/filtering/f00n2c08.rgba".freeze, "spec/png_suite/filtering/f00n2c08_reference.png".freeze, "spec/png_suite/filtering/f00n2c08_reference.rgba".freeze, "spec/png_suite/filtering/f01n0g08.png".freeze, "spec/png_suite/filtering/f01n0g08.rgba".freeze, "spec/png_suite/filtering/f01n0g08_reference.png".freeze, "spec/png_suite/filtering/f01n0g08_reference.rgba".freeze, "spec/png_suite/filtering/f01n2c08.png".freeze, "spec/png_suite/filtering/f01n2c08.rgba".freeze, "spec/png_suite/filtering/f01n2c08_reference.png".freeze, "spec/png_suite/filtering/f01n2c08_reference.rgba".freeze, "spec/png_suite/filtering/f02n0g08.png".freeze, "spec/png_suite/filtering/f02n0g08.rgba".freeze, "spec/png_suite/filtering/f02n0g08_reference.png".freeze, "spec/png_suite/filtering/f02n0g08_reference.rgba".freeze, "spec/png_suite/filtering/f02n2c08.png".freeze, "spec/png_suite/filtering/f02n2c08.rgba".freeze, "spec/png_suite/filtering/f02n2c08_reference.png".freeze, "spec/png_suite/filtering/f02n2c08_reference.rgba".freeze, "spec/png_suite/filtering/f03n0g08.png".freeze, "spec/png_suite/filtering/f03n0g08.rgba".freeze, "spec/png_suite/filtering/f03n0g08_reference.png".freeze, "spec/png_suite/filtering/f03n0g08_reference.rgba".freeze, "spec/png_suite/filtering/f03n2c08.png".freeze, "spec/png_suite/filtering/f03n2c08.rgba".freeze, "spec/png_suite/filtering/f03n2c08_reference.png".freeze, "spec/png_suite/filtering/f03n2c08_reference.rgba".freeze, "spec/png_suite/filtering/f04n0g08.png".freeze, "spec/png_suite/filtering/f04n0g08.rgba".freeze, "spec/png_suite/filtering/f04n0g08_reference.png".freeze, "spec/png_suite/filtering/f04n0g08_reference.rgba".freeze, "spec/png_suite/filtering/f04n2c08.png".freeze, "spec/png_suite/filtering/f04n2c08.rgba".freeze, "spec/png_suite/filtering/f04n2c08_reference.png".freeze, "spec/png_suite/filtering/f04n2c08_reference.rgba".freeze, "spec/png_suite/gamma/g03n0g16.png".freeze, "spec/png_suite/gamma/g03n2c08.png".freeze, "spec/png_suite/gamma/g03n3p04.png".freeze, "spec/png_suite/gamma/g04n0g16.png".freeze, "spec/png_suite/gamma/g04n2c08.png".freeze, "spec/png_suite/gamma/g04n3p04.png".freeze, "spec/png_suite/gamma/g05n0g16.png".freeze, "spec/png_suite/gamma/g05n2c08.png".freeze, "spec/png_suite/gamma/g05n3p04.png".freeze, "spec/png_suite/gamma/g07n0g16.png".freeze, "spec/png_suite/gamma/g07n2c08.png".freeze, "spec/png_suite/gamma/g07n3p04.png".freeze, "spec/png_suite/gamma/g10n0g16.png".freeze, "spec/png_suite/gamma/g10n2c08.png".freeze, "spec/png_suite/gamma/g10n3p04.png".freeze, "spec/png_suite/gamma/g25n0g16.png".freeze, "spec/png_suite/gamma/g25n2c08.png".freeze, "spec/png_suite/gamma/g25n3p04.png".freeze, "spec/png_suite/metadata/cm0n0g04.png".freeze, "spec/png_suite/metadata/cm7n0g04.png".freeze, "spec/png_suite/metadata/cm9n0g04.png".freeze, "spec/png_suite/other/ccwn2c08.png".freeze, "spec/png_suite/other/ccwn3p08.png".freeze, "spec/png_suite/other/cdfn2c08.png".freeze, "spec/png_suite/other/cdhn2c08.png".freeze, "spec/png_suite/other/cdsn2c08.png".freeze, "spec/png_suite/other/cdun2c08.png".freeze, "spec/png_suite/other/ch1n3p04.png".freeze, "spec/png_suite/other/ch2n3p08.png".freeze, "spec/png_suite/other/cs3n2c16.png".freeze, "spec/png_suite/other/cs3n3p08.png".freeze, "spec/png_suite/other/cs5n2c08.png".freeze, "spec/png_suite/other/cs5n3p08.png".freeze, "spec/png_suite/other/cs8n2c08.png".freeze, "spec/png_suite/other/cs8n3p08.png".freeze, "spec/png_suite/other/ct0n0g04.png".freeze, "spec/png_suite/other/ct1n0g04.png".freeze, "spec/png_suite/other/ctzn0g04.png".freeze, "spec/png_suite/other/pp0n2c16.png".freeze, "spec/png_suite/other/pp0n6a08.png".freeze, "spec/png_suite/other/ps1n0g08.png".freeze, "spec/png_suite/other/ps1n2c16.png".freeze, "spec/png_suite/other/ps2n0g08.png".freeze, "spec/png_suite/other/ps2n2c16.png".freeze, "spec/png_suite/sizes/s01i3p01.png".freeze, "spec/png_suite/sizes/s01n3p01.png".freeze, "spec/png_suite/sizes/s02i3p01.png".freeze, "spec/png_suite/sizes/s02n3p01.png".freeze, "spec/png_suite/sizes/s03i3p01.png".freeze, "spec/png_suite/sizes/s03n3p01.png".freeze, "spec/png_suite/sizes/s04i3p01.png".freeze, "spec/png_suite/sizes/s04n3p01.png".freeze, "spec/png_suite/sizes/s05i3p02.png".freeze, "spec/png_suite/sizes/s05n3p02.png".freeze, "spec/png_suite/sizes/s06i3p02.png".freeze, "spec/png_suite/sizes/s06n3p02.png".freeze, "spec/png_suite/sizes/s07i3p02.png".freeze, "spec/png_suite/sizes/s07n3p02.png".freeze, "spec/png_suite/sizes/s08i3p02.png".freeze, "spec/png_suite/sizes/s08n3p02.png".freeze, "spec/png_suite/sizes/s09i3p02.png".freeze, "spec/png_suite/sizes/s09n3p02.png".freeze, "spec/png_suite/sizes/s32i3p04.png".freeze, "spec/png_suite/sizes/s32n3p04.png".freeze, "spec/png_suite/sizes/s33i3p04.png".freeze, "spec/png_suite/sizes/s33n3p04.png".freeze, "spec/png_suite/sizes/s34i3p04.png".freeze, "spec/png_suite/sizes/s34n3p04.png".freeze, "spec/png_suite/sizes/s35i3p04.png".freeze, "spec/png_suite/sizes/s35n3p04.png".freeze, "spec/png_suite/sizes/s36i3p04.png".freeze, "spec/png_suite/sizes/s36n3p04.png".freeze, "spec/png_suite/sizes/s37i3p04.png".freeze, "spec/png_suite/sizes/s37n3p04.png".freeze, "spec/png_suite/sizes/s38i3p04.png".freeze, "spec/png_suite/sizes/s38n3p04.png".freeze, "spec/png_suite/sizes/s39i3p04.png".freeze, "spec/png_suite/sizes/s39n3p04.png".freeze, "spec/png_suite/sizes/s40i3p04.png".freeze, "spec/png_suite/sizes/s40n3p04.png".freeze, "spec/png_suite/transparency/tbbn1g04.png".freeze, "spec/png_suite/transparency/tbbn2c16.png".freeze, "spec/png_suite/transparency/tbbn3p08.png".freeze, "spec/png_suite/transparency/tbgn2c16.png".freeze, "spec/png_suite/transparency/tbgn3p08.png".freeze, "spec/png_suite/transparency/tbrn2c08.png".freeze, "spec/png_suite/transparency/tbwn1g16.png".freeze, "spec/png_suite/transparency/tbwn3p08.png".freeze, "spec/png_suite/transparency/tbyn3p08.png".freeze, "spec/png_suite/transparency/tp0n1g08.png".freeze, "spec/png_suite/transparency/tp0n2c08.png".freeze, "spec/png_suite/transparency/tp0n3p08.png".freeze, "spec/png_suite/transparency/tp1n3p08.png".freeze, "spec/png_suite_spec.rb".freeze, "spec/resources/adam7.png".freeze, "spec/resources/bezier_five_point.png".freeze, "spec/resources/bezier_four_point.png".freeze, "spec/resources/bezier_four_point_flipped.png".freeze, "spec/resources/bezier_four_point_s.png".freeze, "spec/resources/bezier_six_point.png".freeze, "spec/resources/bezier_three_point.png".freeze, "spec/resources/bezier_three_point_flipped.png".freeze, "spec/resources/circles.png".freeze, "spec/resources/clock.png".freeze, "spec/resources/clock_base.png".freeze, "spec/resources/clock_bl_xdown_ydown.png".freeze, "spec/resources/clock_bl_xdown_yup.png".freeze, "spec/resources/clock_bl_xup_yup.png".freeze, "spec/resources/clock_mask.png".freeze, "spec/resources/clock_mask_updated.png".freeze, "spec/resources/clock_nn_xdown_ydown.png".freeze, "spec/resources/clock_nn_xdown_yup.png".freeze, "spec/resources/clock_nn_xup_yup.png".freeze, "spec/resources/clock_updated.png".freeze, "spec/resources/composited.png".freeze, "spec/resources/cropped.png".freeze, "spec/resources/cropped_height.png".freeze, "spec/resources/damaged_chunk.png".freeze, "spec/resources/damaged_signature.png".freeze, "spec/resources/empty.png".freeze, "spec/resources/itxt_chunk.png".freeze, "spec/resources/lines.png".freeze, "spec/resources/operations.png".freeze, "spec/resources/operations_border.png".freeze, "spec/resources/operations_grayscale.png".freeze, "spec/resources/partial_circles.png".freeze, "spec/resources/pixelstream.bgr".freeze, "spec/resources/pixelstream.rgb".freeze, "spec/resources/pixelstream.rgba".freeze, "spec/resources/pixelstream_best_compression.png".freeze, "spec/resources/pixelstream_fast_rgba.png".freeze, "spec/resources/pixelstream_reference.png".freeze, "spec/resources/polygon_filled_horizontal.png".freeze, "spec/resources/polygon_filled_vertical.png".freeze, "spec/resources/polygon_triangle_filled.png".freeze, "spec/resources/polygon_unfilled.png".freeze, "spec/resources/rect.png".freeze, "spec/resources/replaced.png".freeze, "spec/resources/text_chunk.png".freeze, "spec/resources/trailing_bytes_after_iend_chunk.png".freeze, "spec/resources/ztxt_chunk.png".freeze, "spec/spec_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<standard>.freeze, [">= 0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
  else
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<standard>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
  end
end

